Get Best Bid/Ask
curl --request GET \
--url https://api.coinbase.com/api/v3/brokerage/best_bid_ask \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coinbase.com/api/v3/brokerage/best_bid_ask"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coinbase.com/api/v3/brokerage/best_bid_ask', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pricebooks": [
{
"product_id": "BTC-USD",
"bids": [
{
"price": "<string>",
"size": "<string>"
}
],
"asks": [
{
"price": "<string>",
"size": "<string>"
}
],
"time": "<string>"
}
]
}{
"error": "<string>",
"code": 123,
"message": "<string>",
"details": [
{
"type_url": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Products
Get Best Bid/Ask
Get the best bid/ask for all products. A subset of all products can be returned instead by using the product_ids input.
GET
/
api
/
v3
/
brokerage
/
best_bid_ask
Get Best Bid/Ask
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Creating API Keys section of our Coinbase App Authentication docs for information on how to generate your Bearer Token.
Query Parameters
The list of trading pairs (e.g. 'BTC-USD').
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I